Summary:	A network traffic monitoring tool
Name:		tcpdump
Version:	4.1.1
Release:	%mkrel 1
Epoch:		2
Group:	 	Monitoring
License:	BSD
URL:		http://www.tcpdump.org/
Source0:	http://www.tcpdump.org/release/%{name}-%{version}.tar.gz
Source1:	http://www.tcpdump.org/release/%{name}-%{version}.tar.gz.sig
BuildRequires:	pcap-devel >= 1.0.0-3
BuildRequires:	openssl-devel
BuildRequires:	libsmi-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Tcpdump is a command-line tool for monitoring network traffic.  Tcpdump can
capture and display the packet headers on a particular network interface or on
all interfaces.  Tcpdump can display all of the packet headers, or just the
ones that match particular criteria.

Install tcpdump if you need a program to monitor network traffic.

%prep
%setup -q -n %{name}-%{version}

%build
%serverbuild
export CFLAGS="%optflags -DIP_MAX_MEMBERSHIPS=20"
%configure2_5x \
    --enable-ipv6

%make

# (oe) TODO: investigate the following:
#--with-user=USERNAME    drop privileges by default to USERNAME
#--with-chroot=DIRECTORY when dropping privileges, chroot to DIRECTORY

%install
rm -rf %{buildroot}

%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README CHANGES CREDITS LICENSE
%{_sbindir}/*
%{_mandir}/man1/tcpdump.1*


%changelog
* Thu Apr 29 2010 Funda Wang <fwang@mandriva.org> 2:4.1.1-1mdv2010.1
+ Revision: 540916
- New version 4.1.1

* Mon Apr 05 2010 Emmanuel Andry <eandry@mandriva.org> 2:4.1.0-1mdv2010.1
+ Revision: 531803
- New version 4.1.0

* Fri Feb 26 2010 Oden Eriksson <oeriksson@mandriva.com> 2:4.0.0-4mdv2010.1
+ Revision: 511645
- rebuilt against openssl-0.9.8m

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 2:4.0.0-3mdv2010.0
+ Revision: 427287
- rebuild

* Mon Dec 22 2008 Oden Eriksson <oeriksson@mandriva.com> 2:4.0.0-2mdv2009.1
+ Revision: 317661
- rebuild

* Wed Oct 29 2008 Oden Eriksson <oeriksson@mandriva.com> 2:4.0.0-1mdv2009.1
+ Revision: 298217
- 4.0.0
- enable crypto support (broken autopoo)

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 2:3.9.8-3mdv2009.0
+ Revision: 225646
- rebuild

* Mon Feb 04 2008 Oden Eriksson <oeriksson@mandriva.com> 2:3.9.8-2mdv2008.1
+ Revision: 162289
- fix deps (libsmi-devel)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Oct 25 2007 Oden Eriksson <oeriksson@mandriva.com> 2:3.9.8-1mdv2008.1
+ Revision: 102100
- 3.9.8

* Wed Sep 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2:3.9.7-2mdv2008.0
+ Revision: 90300
- rebuild

* Wed Jul 25 2007 Oden Eriksson <oeriksson@mandriva.com> 2:3.9.7-1mdv2008.0
+ Revision: 55565
- 3.9.7
- drop the upstream CVE-2007-3798 path

* Wed Jul 25 2007 Oden Eriksson <oeriksson@mandriva.com> 2:3.9.5-3mdv2008.0
+ Revision: 55557
- plug CVE-2007-3798

* Fri Jun 22 2007 Andreas Hasenack <andreas@mandriva.com> 2:3.9.5-2mdv2008.0
+ Revision: 43310
- using new serverbuild macro (-fstack-protector)


* Wed Nov 22 2006 Oden Eriksson <oeriksson@mandriva.com> 3.9.5-1mdv2007.0
+ Revision: 86303
- Import tcpdump

* Wed Nov 22 2006 Oden Eriksson <oeriksson@mandriva.com> 3.9.5-1mdv2007.1
- 3.9.5
- fix deps

* Thu Dec 22 2005 Oden Eriksson <oeriksson@mandriva.com> 3.9.4-1mdk
- 3.9.4

* Sun Nov 13 2005 Oden Eriksson <oeriksson@mandriva.com> 3.9.3-2mdk
- rebuilt against openssl-0.9.8a

* Sat Aug 13 2005 Warly <warly@mandriva.com> 2:3.9.3-1mdk
- new version

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 2:3.9.1-1mdk
- 3.9.1
- drop redundant patch

* Wed Jun 30 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 3.8.3-2mdk
- fix gcc-3.4 build (P1 from fedora)

* Fri Apr 16 2004 Michael Scherer <mscherer@mandrakesoft.com> 3.8.3-1mdk
- New release 3.8.3

* Tue Jan 27 2004 Warly <warly@mandrakesoft.com> 2:3.8.1-1mdk
- new version

